Ignore:
Timestamp:
Dec 27, 2014, 2:06:29 AM (5 years ago)
Author:
larryv@…
Message:

cfv: Use Python 2.7 always

Upstream development seems to have ceased, and the code does not work
with Python 3.4, so let's not pretend it does.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/security/cfv/Portfile

    r130089 r130090  
    66name                cfv
    77version             1.18.3
    8 revision            2
     8revision            3
    99categories          security
    1010platforms           darwin
     
    2121homepage            http://cfv.sourceforge.net/
    2222
     23depends_lib         port:python27
     24
    2325master_sites        sourceforge
    2426checksums           rmd160 d239e5fe212b2458f5a3612b55591c7625a2318d
     
    2830post-patch {
    2931    reinplace "s|@PREFIX@|${prefix}|" ${worksrcpath}/Makefile
     32    reinplace "s|@PYTHON@|${prefix}/bin/python2.7|" \
     33            ${worksrcpath}/Makefile ${worksrcpath}/cfv
    3034}
    3135
     
    3337
    3438build               {}
    35 
    36 if {![variant_isset python27] && ![variant_isset python32]} {
    37     default_variants    +python27
    38 }
    39 
    40 variant python27 conflicts python32 description {Use Python 2.7} {
    41     depends_lib port:python27
    42 
    43     post-patch {
    44         reinplace "s|@PYTHON@|${prefix}/bin/python2.7|" \
    45                 ${worksrcpath}/Makefile ${worksrcpath}/cfv
    46     }
    47 }
    48 
    49 variant python32 conflicts python27 description {Use Python 3.2} {
    50     depends_lib port:python32
    51 
    52     post-patch {
    53         reinplace "s|@PYTHON@|${prefix}/bin/python3.2|" \
    54                 ${worksrcpath}/Makefile ${worksrcpath}/cfv
    55     }
    56 }
Note: See TracChangeset for help on using the changeset viewer.